package nc.ui.gl.extendreport;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Vector;
import javax.swing.JFrame;
import javax.swing.JPanel;
import nc.ui.gl.extendreport.ListtabModel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.beans.UITable;
import nc.ui.pub.beans.UITablePane;
import nc.vo.gl.extendreport.ExtendreportBVO;
import nc.vo.gl.extendreport.ExtendreportVO;

public class ListPanel extends JPanel {

   private ListtabModel ivjListtabModel1 = null;
   private UITablePane ivjUITablePane1 = null;
   UITable m_tUITable = null;


   public ListPanel() {
      this.initialize();
   }

   public ListPanel(LayoutManager layout) {
      super(layout);
   }

   public ListPanel(LayoutManager layout, boolean isDoubleBuffered) {
      super(layout, isDoubleBuffered);
   }

   public ListPanel(boolean isDoubleBuffered) {
      super(isDoubleBuffered);
   }

   public Vector convert(ExtendreportVO vo) {
      Vector v1 = new Vector();
      v1.addElement(vo.getReportcode());
      v1.addElement(vo.getReportname());
      String strRow = "";
      String strCol = "";
      ExtendreportBVO[] bvos = vo.m_extendre_b;

      for(int str1 = 0; str1 < bvos.length; ++str1) {
         if(bvos[str1].getCoordinateflag().equals("0")) {
            strRow = " " + bvos[str1].getColumnname();
         } else {
            strCol = " " + bvos[str1].getColumnname();
         }
      }

      v1.addElement(strRow);
      v1.addElement(strCol);
      v1.addElement(vo.getComment());
      String var7 = vo.getApplyrange();
      if(var7.equals("U")) {
         v1.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000026"));
      } else {
         v1.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000027"));
      }

      return v1;
   }

   private ListtabModel getListtabModel1() {
      if(this.ivjListtabModel1 == null) {
         try {
            this.ivjListtabModel1 = new ListtabModel();
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjListtabModel1;
   }

   private UITablePane getUITablePane1() {
      if(this.ivjUITablePane1 == null) {
         try {
            this.ivjUITablePane1 = new UITablePane();
            this.ivjUITablePane1.setName("UITablePane1");
            this.m_tUITable = new UITable();
            this.ivjUITablePane1.setTable(this.m_tUITable);
            this.m_tUITable.setModel(this.getListtabModel1());
            this.m_tUITable.setSelectionMode(0);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUITablePane1;
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("ListPanel");
         this.setLayout(new BorderLayout());
         this.setSize(744, 396);
         this.add(this.getUITablePane1(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initTalbe();
   }

   public void initTalbe() {
      Vector vHeaders = new Vector();
      vHeaders.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000028"));
      vHeaders.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000007"));
      vHeaders.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000008"));
      vHeaders.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000009"));
      vHeaders.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000029"));
      vHeaders.addElement(NCLangRes.getInstance().getStrByID("20021386001", "UPP20021386001-000030"));
      this.getListtabModel1().setDataVector(new Vector(), vHeaders);
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ListPanel aListPanel = new ListPanel();
         exception.setContentPane(aListPanel);
         exception.setSize(aListPanel.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("javax.swing.JPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void showList(ExtendreportVO[] vos) {
      this.getListtabModel1().setDataVector(new Vector());

      for(int i = 0; i < vos.length; ++i) {
         this.getListtabModel1().addRow(this.convert(vos[i]));
      }

   }
}
